| Earth Observation Mission CFI Software Pointing Software User Manual |

Public Member Functions | Static Public Member Functions

# EECFI::PointingFunc Class Reference

Class grouping several static functions. More...

Inheritance diagram for EECFI::PointingFunc:

List of all members.

## Public Member Functions
| PointingFunc ()
| Empty constructor.
| ~PointingFunc ()
| Destructor.
## Static Public Member Functions
static void | genMaxAltFile (string demCfgFile) throw (CfiError)
| Generate maximum altitude file.
static void | genDemAltitudesFromEllipsoid (string demCfgFile, long numHarmonics, string outputDir, GenDemAltFromEllipsoidInputs &inputs) throw (CfiError)
| Generate DEM with altitudes from ellipsoid.
static void | attitudeDefine (AttitudeDefinitionData &attData, SatNomTransId &satNomTransId, SatTransId &satTransId, InstrTransId &instrTransId) throw (CfiError)
| Initialize initializes the satellite nominal attitude, satellite attitude and instrument attitude according to the input data.

## Detailed Description

Class grouping several static functions.

## Constructor & Destructor Documentation

EECFI::PointingFunc::PointingFunc | ( |  | ) |

Empty constructor.

EECFI::PointingFunc::~PointingFunc | ( |  | ) |

Destructor.

## Member Function Documentation

void EECFI::PointingFunc::attitudeDefine | ( | AttitudeDefinitionData & | attData,
|  | SatNomTransId & | satNomTransId,
|  | SatTransId & | satTransId,
|  | InstrTransId & | instrTransId |
| ) |  |  | throw (CfiError)`[static]`

Initialize initializes the satellite nominal attitude, satellite attitude and instrument attitude according to the input data.

The input data is stored in a structure of type AttitudeDefinitionData (see [D_H_SUM] for further details). The user can fill this structure within his application program or by reading an atttitude definition file using method AttitudeDefinitionData::read.

Parameters:

  | attData | Attitude definition data
  | satNomTransId | [OUTPUT] Satellite nominal attitude.
  | satTransId | [OUTPUT] Satellite attitude.
  | instrTransId | [OUTPUT] Instrument attitude.

void EECFI::PointingFunc::genDemAltitudesFromEllipsoid | ( | string | demCfgFile,
|  | long | numHarmonics,
|  | string | outputDir,
|  | GenDemAltFromEllipsoidInputs & | inputs |
| ) |  |  | throw (CfiError)`[static]`

Generate DEM with altitudes from ellipsoid.

It generates, from an input DEM ACE2 dataset, whose altitudes are expressed w.r.t. the geoid, an equivalent DEM but with the heights referenced to the ellipsoid, not to the geoid. This waym the geoid undulation computation can be avoided at runtime and performance can be improved.

Parameters:

  | demCfgFile | DEM configuration file. It must contain the MiniTiles_Configuration tag for the maximum altitude file to be created.
  | numHarmonics | Number of harmonics to be used in computation of undulation of geoid.
  | outputDir | Directory where generated files will be placed.
  | inputs | DEM set selection.

void EECFI::PointingFunc::genMaxAltFile | ( | string | demCfgFile | ) | throw (CfiError)`[static]`

Generate maximum altitude file.

A binary file with the maximum altitudes corresponding to every mini-tile is generated, as described in input DEM configuration file. This file is needed to the maximum altitudes algo, as described in DemId::init.

Parameters:

  | demCfgFile | DEM configuration file. It must contain the MiniTiles_Configuration tag for the maximum altitude file to be created.